---
search:
  tags:
    - Invitations
    - POST
seo:
  description: >-
    Accept an invitation or enroll a verified person. Reference for the POST
    /v1/invitations/{invitationId}/accept endpoint in the Stashtab Vault
    Warehouse API.
sidebar:
  label: Accept an invitation or enroll a verified person
  badge: POST
title: Accept an invitation or enroll a verified person
type: openapi-operation
---
`POST /v1/invitations/{invitationId}/accept`

**Request body** (`application/json`, required)

- `externalSubject` (string)
- `organizationId` (string)
- `role` (string)
- `submissionKey` (string, required)

Request body example:

```json
{
  "externalSubject": "string",
  "organizationId": "string",
  "role": "viewer",
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "membership": {
      "email": "string",
      "id": "string",
      "joinedAt": "2019-08-24T14:15:22Z",
      "name": "string",
      "role": "viewer"
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
